//----------------------------------------------------------------------
//	STATUS bits
//----------------------------------------------------------------------

const	STATUS_IRP	= (&STATUS << 3) + IRP	
const	STATUS_RP1	= (&STATUS << 3) + RP1	
const	STATUS_RP0	= (&STATUS << 3) + RP0	
const	STATUS_NOT_TO	= (&STATUS << 3) + NOT_TO	
const	STATUS_NOT_PD	= (&STATUS << 3) + NOT_PD	
const	STATUS_Z	= (&STATUS << 3) + Z	
const	STATUS_DC	= (&STATUS << 3) + DC	
const	STATUS_C	= (&STATUS << 3) + C	

//----------------------------------------------------------------------
//	INTCON bits
//----------------------------------------------------------------------

const	INTCON_GIE	= (&INTCON << 3) + GIE	
const	INTCON_PEIE	= (&INTCON << 3) + PEIE	
const	INTCON_T0IE	= (&INTCON << 3) + T0IE	
const	INTCON_INTE	= (&INTCON << 3) + INTE	
const	INTCON_GPIE	= (&INTCON << 3) + GPIE	
const	INTCON_T0IF	= (&INTCON << 3) + T0IF	
const	INTCON_INTF	= (&INTCON << 3) + INTF	
const	INTCON_GPIF	= (&INTCON << 3) + GPIF	

//----------------------------------------------------------------------
//	PIR1 bits
//----------------------------------------------------------------------

const	PIR1_EEIF	= (&PIR1 << 3) + EEIF	
const	PIR1_ADIF	= (&PIR1 << 3) + ADIF	
const	PIR1_CCP1IF	= (&PIR1 << 3) + CCP1IF	
const	PIR1_CMIF	= (&PIR1 << 3) + CMIF	
const	PIR1_OSFIF	= (&PIR1 << 3) + OSFIF	
const	PIR1_T2IF	= (&PIR1 << 3) + T2IF	
const	PIR1_TMR2IF	= (&PIR1 << 3) + TMR2IF	
const	PIR1_T1IF	= (&PIR1 << 3) + T1IF	
const	PIR1_TMR1IF	= (&PIR1 << 3) + TMR1IF	

//----------------------------------------------------------------------
//	T1CON bits
//----------------------------------------------------------------------

const	T1CON_T1GINV	= (&T1CON << 3) + T1GINV	
const	T1CON_T1GE	= (&T1CON << 3) + T1GE	
const	T1CON_T1CKPS1	= (&T1CON << 3) + T1CKPS1	
const	T1CON_T1CKPS0	= (&T1CON << 3) + T1CKPS0	
const	T1CON_T1OSCEN	= (&T1CON << 3) + T1OSCEN	
const	T1CON_NOT_T1SYNC	= (&T1CON << 3) + NOT_T1SYNC	
const	T1CON_TMR1CS	= (&T1CON << 3) + TMR1CS	
const	T1CON_TMR1ON	= (&T1CON << 3) + TMR1ON	

//----------------------------------------------------------------------
//	T2CON bits
//----------------------------------------------------------------------

const	T2CON_TOUTPS3	= (&T2CON << 3) + TOUTPS3	
const	T2CON_TOUTPS2	= (&T2CON << 3) + TOUTPS2	
const	T2CON_TOUTPS1	= (&T2CON << 3) + TOUTPS1	
const	T2CON_TOUTPS0	= (&T2CON << 3) + TOUTPS0	
const	T2CON_TMR2ON	= (&T2CON << 3) + TMR2ON	
const	T2CON_T2CKPS1	= (&T2CON << 3) + T2CKPS1	
const	T2CON_T2CKPS0	= (&T2CON << 3) + T2CKPS0	

//----------------------------------------------------------------------
//	CCP1CON bits
//----------------------------------------------------------------------

const	CCP1CON_DC1B1	= (&CCP1CON << 3) + DC1B1	
const	CCP1CON_DC1B0	= (&CCP1CON << 3) + DC1B0	
const	CCP1CON_CCP1M3	= (&CCP1CON << 3) + CCP1M3	
const	CCP1CON_CCP1M2	= (&CCP1CON << 3) + CCP1M2	
const	CCP1CON_CCP1M1	= (&CCP1CON << 3) + CCP1M1	
const	CCP1CON_CCP1M0	= (&CCP1CON << 3) + CCP1M0	

//----------------------------------------------------------------------
//	WDTCON bits
//----------------------------------------------------------------------

const	WDTCON_WDTPS3	= (&WDTCON << 3) + WDTPS3	
const	WDTCON_WDTPS2	= (&WDTCON << 3) + WDTPS2	
const	WDTCON_WDTPS1	= (&WDTCON << 3) + WDTPS1	
const	WDTCON_WDTPS0	= (&WDTCON << 3) + WDTPS0	
const	WDTCON_SWDTEN	= (&WDTCON << 3) + SWDTEN	

//----------------------------------------------------------------------
//	COMCON0 bits
//----------------------------------------------------------------------

const	COMCON0_COUT	= (&COMCON0 << 3) + COUT	
const	COMCON0_CINV	= (&COMCON0 << 3) + CINV	
const	COMCON0_CIS	= (&COMCON0 << 3) + CIS	
const	COMCON0_CM2	= (&COMCON0 << 3) + CM2	
const	COMCON0_CM1	= (&COMCON0 << 3) + CM1	
const	COMCON0_CM0	= (&COMCON0 << 3) + CM0	

//----------------------------------------------------------------------
//	COMCON1 bits
//----------------------------------------------------------------------

const	COMCON1_T1GSS	= (&COMCON1 << 3) + T1GSS	
const	COMCON1_CMSYNC	= (&COMCON1 << 3) + CMSYNC	

//----------------------------------------------------------------------
//	ADCON0 bits
//----------------------------------------------------------------------

const	ADCON0_ADFM	= (&ADCON0 << 3) + ADFM	
const	ADCON0_VCFG	= (&ADCON0 << 3) + VCFG	
const	ADCON0_CHS2	= (&ADCON0 << 3) + CHS2	
const	ADCON0_CHS1	= (&ADCON0 << 3) + CHS1	
const	ADCON0_CHS0	= (&ADCON0 << 3) + CHS0	
const	ADCON0_GO	= (&ADCON0 << 3) + GO	
const	ADCON0_NOT_DONE	= (&ADCON0 << 3) + NOT_DONE	
const	ADCON0_GO_DONE	= (&ADCON0 << 3) + GO_DONE	
const	ADCON0_ADON	= (&ADCON0 << 3) + ADON	

//----------------------------------------------------------------------
//	OPTION_REG bits
//----------------------------------------------------------------------

const	OPTION_REG_NOT_GPPU	= (&OPTION_REG << 3) + NOT_GPPU	
const	OPTION_REG_INTEDG	= (&OPTION_REG << 3) + INTEDG	
const	OPTION_REG_T0CS	= (&OPTION_REG << 3) + T0CS	
const	OPTION_REG_T0SE	= (&OPTION_REG << 3) + T0SE	
const	OPTION_REG_PSA	= (&OPTION_REG << 3) + PSA	
const	OPTION_REG_PS2	= (&OPTION_REG << 3) + PS2	
const	OPTION_REG_PS1	= (&OPTION_REG << 3) + PS1	
const	OPTION_REG_PS0	= (&OPTION_REG << 3) + PS0	


//----------------------------------------------------------------------
//	PIE1 bits
//----------------------------------------------------------------------

const	PIE1_EEIE	= (&PIE1 << 3) + EEIE	
const	PIE1_ADIE	= (&PIE1 << 3) + ADIE	
const	PIE1_CCP1IE	= (&PIE1 << 3) + CCP1IE	
const	PIE1_CMIE	= (&PIE1 << 3) + CMIE	
const	PIE1_OSFIE	= (&PIE1 << 3) + OSFIE	
const	PIE1_T2IE	= (&PIE1 << 3) + T2IE	
const	PIE1_TMR2IE	= (&PIE1 << 3) + TMR2IE	
const	PIE1_T1IE	= (&PIE1 << 3) + T1IE	
const	PIE1_TMR1IE	= (&PIE1 << 3) + TMR1IE	

//----------------------------------------------------------------------
//	PCON bits
//----------------------------------------------------------------------

const	PCON_ULPWUE	= (&PCON << 3) + ULPWUE	
const	PCON_SBODEN	= (&PCON << 3) + SBODEN	
const	PCON_NOT_POR	= (&PCON << 3) + NOT_POR	
const	PCON_NOT_BOD	= (&PCON << 3) + NOT_BOD	

//----------------------------------------------------------------------
//	OSCCON bits
//----------------------------------------------------------------------

const	OSCCON_IRCF2	= (&OSCCON << 3) + IRCF2	
const	OSCCON_IRCF1	= (&OSCCON << 3) + IRCF1	
const	OSCCON_IRCF0	= (&OSCCON << 3) + IRCF0	
const	OSCCON_OSTS	= (&OSCCON << 3) + OSTS	
const	OSCCON_HTS	= (&OSCCON << 3) + HTS	
const	OSCCON_LTS	= (&OSCCON << 3) + LTS	
const	OSCCON_SCS	= (&OSCCON << 3) + SCS	

//----------------------------------------------------------------------
//	OSCTUNE bits
//----------------------------------------------------------------------

const	OSCTUNE_TUN4	= (&OSCTUNE << 3) + TUN4	
const	OSCTUNE_TUN3	= (&OSCTUNE << 3) + TUN3	
const	OSCTUNE_TUN2	= (&OSCTUNE << 3) + TUN2	
const	OSCTUNE_TUN1	= (&OSCTUNE << 3) + TUN1	
const	OSCTUNE_TUN0	= (&OSCTUNE << 3) + TUN0	


//----------------------------------------------------------------------
//	IOC bits
//----------------------------------------------------------------------

const	IOC_IOC5	= (&IOC << 3) + IOC5	
const	IOC_IOC4	= (&IOC << 3) + IOC4	
const	IOC_IOC3	= (&IOC << 3) + IOC3	
const	IOC_IOC2	= (&IOC << 3) + IOC2	
const	IOC_IOC1	= (&IOC << 3) + IOC1	
const	IOC_IOC0	= (&IOC << 3) + IOC0	

//----------------------------------------------------------------------
//	IOCA bits
//----------------------------------------------------------------------

const	IOCA_IOCA5	= (&IOCA << 3) + IOCA5	
const	IOCA_IOCA4	= (&IOCA << 3) + IOCA4	
const	IOCA_IOCA3	= (&IOCA << 3) + IOCA3	
const	IOCA_IOCA2	= (&IOCA << 3) + IOCA2	
const	IOCA_IOCA1	= (&IOCA << 3) + IOCA1	
const	IOCA_IOCA0	= (&IOCA << 3) + IOCA0	

//----------------------------------------------------------------------
//	VRCON bits
//----------------------------------------------------------------------

const	VRCON_VREN	= (&VRCON << 3) + VREN	
const	VRCON_VRR	= (&VRCON << 3) + VRR	
const	VRCON_VR3	= (&VRCON << 3) + VR3	
const	VRCON_VR2	= (&VRCON << 3) + VR2	
const	VRCON_VR1	= (&VRCON << 3) + VR1	
const	VRCON_VR0	= (&VRCON << 3) + VR0	

//----------------------------------------------------------------------
//	EECON1 bits
//----------------------------------------------------------------------

const	EECON1_WRERR	= (&EECON1 << 3) + WRERR	
const	EECON1_WREN	= (&EECON1 << 3) + WREN	
const	EECON1_WR	= (&EECON1 << 3) + WR	
const	EECON1_RD	= (&EECON1 << 3) + RD	

//----------------------------------------------------------------------
//	ANSEL bits
//----------------------------------------------------------------------

const	ANSEL_ADCS2	= (&ANSEL << 3) + ADCS2	
const	ANSEL_ADCS1	= (&ANSEL << 3) + ADCS1	
const	ANSEL_ADCS0	= (&ANSEL << 3) + ADCS0	
const	ANSEL_ANS3	= (&ANSEL << 3) + ANS3	
const	ANSEL_ANS2	= (&ANSEL << 3) + ANS2	
const	ANSEL_ANS1	= (&ANSEL << 3) + ANS1	
const	ANSEL_ANS0	= (&ANSEL << 3) + ANS0	

