//---------------------------------------------------------------------
//	STATUS bits
//---------------------------------------------------------------------

const	STATUS_IRP	= (&STATUS << 3) + IRP	
const	STATUS_RP1	= (&STATUS << 3) + RP1	
const	STATUS_RP0	= (&STATUS << 3) + RP0	
const	STATUS_NOT_TO	= (&STATUS << 3) + NOT_TO	
const	STATUS_NOT_PD	= (&STATUS << 3) + NOT_PD	
const	STATUS_Z	= (&STATUS << 3) + Z	
const	STATUS_DC	= (&STATUS << 3) + DC	
const	STATUS_C	= (&STATUS << 3) + C	

//---------------------------------------------------------------------
//	INTCON bits
//---------------------------------------------------------------------

const	INTCON_GIE	= (&INTCON << 3) + GIE	
const	INTCON_PEIE	= (&INTCON << 3) + PEIE	
const	INTCON_T0IE	= (&INTCON << 3) + T0IE	
const	INTCON_INTE	= (&INTCON << 3) + INTE	
const	INTCON_RBIE	= (&INTCON << 3) + RBIE	
const	INTCON_T0IF	= (&INTCON << 3) + T0IF	
const	INTCON_INTF	= (&INTCON << 3) + INTF	
const	INTCON_RBIF	= (&INTCON << 3) + RBIF	

//---------------------------------------------------------------------
//	PIR1 bits
//---------------------------------------------------------------------

const	PIR1_EEIF	= (&PIR1 << 3) + EEIF	
const	PIR1_CMIF	= (&PIR1 << 3) + CMIF	
const	PIR1_RCIF	= (&PIR1 << 3) + RCIF	
const	PIR1_TXIF	= (&PIR1 << 3) + TXIF	
const	PIR1_CCP1IF	= (&PIR1 << 3) + CCP1IF	
const	PIR1_TMR2IF	= (&PIR1 << 3) + TMR2IF	
const	PIR1_TMR1IF	= (&PIR1 << 3) + TMR1IF	

//---------------------------------------------------------------------
//	T1CON bits
//---------------------------------------------------------------------

const	T1CON_T1CKPS1	= (&T1CON << 3) + T1CKPS1	
const	T1CON_T1CKPS0	= (&T1CON << 3) + T1CKPS0	
const	T1CON_T1OSCEN	= (&T1CON << 3) + T1OSCEN	
const	T1CON_NOT_T1SYNC	= (&T1CON << 3) + NOT_T1SYNC	
const	T1CON_TMR1CS	= (&T1CON << 3) + TMR1CS	
const	T1CON_TMR1ON	= (&T1CON << 3) + TMR1ON	

//---------------------------------------------------------------------
//	T2CON bits
//---------------------------------------------------------------------

const	T2CON_TOUTPS3	= (&T2CON << 3) + TOUTPS3	
const	T2CON_TOUTPS2	= (&T2CON << 3) + TOUTPS2	
const	T2CON_TOUTPS1	= (&T2CON << 3) + TOUTPS1	
const	T2CON_TOUTPS0	= (&T2CON << 3) + TOUTPS0	
const	T2CON_TMR2ON	= (&T2CON << 3) + TMR2ON	
const	T2CON_T2CKPS1	= (&T2CON << 3) + T2CKPS1	
const	T2CON_T2CKPS0	= (&T2CON << 3) + T2CKPS0	

//---------------------------------------------------------------------
//	CCP1CON bits
//---------------------------------------------------------------------

const	CCP1CON_CCP1X	= (&CCP1CON << 3) + CCP1X	
const	CCP1CON_CCP1Y	= (&CCP1CON << 3) + CCP1Y	
const	CCP1CON_CCP1M3	= (&CCP1CON << 3) + CCP1M3	
const	CCP1CON_CCP1M2	= (&CCP1CON << 3) + CCP1M2	
const	CCP1CON_CCP1M1	= (&CCP1CON << 3) + CCP1M1	
const	CCP1CON_CCP1M0	= (&CCP1CON << 3) + CCP1M0	

//---------------------------------------------------------------------
//	RCSTA bits
//---------------------------------------------------------------------

const	RCSTA_SPEN	= (&RCSTA << 3) + SPEN	
const	RCSTA_RX9	= (&RCSTA << 3) + RX9	
const	RCSTA_SREN	= (&RCSTA << 3) + SREN	
const	RCSTA_CREN	= (&RCSTA << 3) + CREN	
const	RCSTA_ADEN	= (&RCSTA << 3) + ADEN	
const	RCSTA_FERR	= (&RCSTA << 3) + FERR	
const	RCSTA_OERR	= (&RCSTA << 3) + OERR	
const	RCSTA_RX9D	= (&RCSTA << 3) + RX9D	

//---------------------------------------------------------------------
//	CMCON bits
//---------------------------------------------------------------------

const	CMCON_C2OUT	= (&CMCON << 3) + C2OUT	
const	CMCON_C1OUT	= (&CMCON << 3) + C1OUT	
const	CMCON_C2INV	= (&CMCON << 3) + C2INV	
const	CMCON_C1INV	= (&CMCON << 3) + C1INV	
const	CMCON_CIS	= (&CMCON << 3) + CIS	
const	CMCON_CM2	= (&CMCON << 3) + CM2	
const	CMCON_CM1	= (&CMCON << 3) + CM1	
const	CMCON_CM0	= (&CMCON << 3) + CM0	

//---------------------------------------------------------------------
//	OPTION_REG bits
//---------------------------------------------------------------------

const	OPTION_REG_NOT_RBPU	= (&OPTION_REG << 3) + NOT_RBPU	
const	OPTION_REG_INTEDG	= (&OPTION_REG << 3) + INTEDG	
const	OPTION_REG_T0CS	= (&OPTION_REG << 3) + T0CS	
const	OPTION_REG_T0SE	= (&OPTION_REG << 3) + T0SE	
const	OPTION_REG_PSA	= (&OPTION_REG << 3) + PSA	
const	OPTION_REG_PS2	= (&OPTION_REG << 3) + PS2	
const	OPTION_REG_PS1	= (&OPTION_REG << 3) + PS1	
const	OPTION_REG_PS0	= (&OPTION_REG << 3) + PS0	

//---------------------------------------------------------------------
//	PIE1 bits
//---------------------------------------------------------------------

const	PIE1_EEIE	= (&PIE1 << 3) + EEIE	
const	PIE1_CMIE	= (&PIE1 << 3) + CMIE	
const	PIE1_RCIE	= (&PIE1 << 3) + RCIE	
const	PIE1_TXIE	= (&PIE1 << 3) + TXIE	
const	PIE1_CCP1IE	= (&PIE1 << 3) + CCP1IE	
const	PIE1_TMR2IE	= (&PIE1 << 3) + TMR2IE	
const	PIE1_TMR1IE	= (&PIE1 << 3) + TMR1IE	

//---------------------------------------------------------------------
//	PCON bits
//---------------------------------------------------------------------

const	PCON_OSCF	= (&PCON << 3) + OSCF	
const	PCON_NOT_POR	= (&PCON << 3) + NOT_POR	
const	PCON_NOT_BO	= (&PCON << 3) + NOT_BO	
const	PCON_NOT_BOR	= (&PCON << 3) + NOT_BOR	
const	PCON_NOT_BOD	= (&PCON << 3) + NOT_BOD	

//---------------------------------------------------------------------
//	TXSTA bits
//---------------------------------------------------------------------

const	TXSTA_CSRC	= (&TXSTA << 3) + CSRC	
const	TXSTA_TX9	= (&TXSTA << 3) + TX9	
const	TXSTA_TXEN	= (&TXSTA << 3) + TXEN	
const	TXSTA_SYNC	= (&TXSTA << 3) + SYNC	
const	TXSTA_BRGH	= (&TXSTA << 3) + BRGH	
const	TXSTA_TRMT	= (&TXSTA << 3) + TRMT	
const	TXSTA_TX9D	= (&TXSTA << 3) + TX9D	

//---------------------------------------------------------------------
//	EECON1 bits
//---------------------------------------------------------------------


const	EECON1_EEPGD	= (&EECON1 << 3) + EEPGD	// NOTE: this MCU does not have EEPGD, it is here for library compatability
const	EECON1_FREE	= (&EECON1 << 3) + FREE	// NOTE: this MCU does not have FREE, it is here for library compatability
const	EECON1_WRERR	= (&EECON1 << 3) + WRERR	
const	EECON1_WREN	= (&EECON1 << 3) + WREN	
const	EECON1_WR	= (&EECON1 << 3) + WR	
const	EECON1_RD	= (&EECON1 << 3) + RD	

//---------------------------------------------------------------------
//	VRCON bits
//---------------------------------------------------------------------

const	VRCON_VREN	= (&VRCON << 3) + VREN	
const	VRCON_VROE	= (&VRCON << 3) + VROE	
const	VRCON_VRR	= (&VRCON << 3) + VRR	
const	VRCON_VR3	= (&VRCON << 3) + VR3	
const	VRCON_VR2	= (&VRCON << 3) + VR2	
const	VRCON_VR1	= (&VRCON << 3) + VR1	
const	VRCON_VR0	= (&VRCON << 3) + VR0	

