//---------------------------------------------------------------------
//	STATUS bits
//---------------------------------------------------------------------

const IRP	= 7
const RP1	= 6
const RP0	= 5
const NOT_TO	= 4
const NOT_PD	= 3
const Z 	= 2
const DC	= 1
const C 	= 0

//---------------------------------------------------------------------
//	INTCON bits
//---------------------------------------------------------------------

const GIE	= 7
const PEIE	= 6
const T0IE	= 5
const INTE	= 4
const RBIE	= 3
const T0IF	= 2
const INTF	= 1
const RBIF	= 0

//---------------------------------------------------------------------
//	PIR1 bits
//---------------------------------------------------------------------

const EEIF	= 7
const CMIF	= 6
const RCIF	= 5
const TXIF	= 4
const CCP1IF	= 2
const TMR2IF	= 1
const TMR1IF	= 0

//---------------------------------------------------------------------
//	T1CON bits
//---------------------------------------------------------------------

const T1CKPS1	= 5
const T1CKPS0	= 4
const T1OSCEN	= 3
const NOT_T1SYNC= 2
const TMR1CS	= 1
const TMR1ON	= 0

//---------------------------------------------------------------------
//	T2CON bits
//---------------------------------------------------------------------

const TOUTPS3	= 6
const TOUTPS2	= 5
const TOUTPS1	= 4
const TOUTPS0	= 3
const TMR2ON	= 2
const T2CKPS1	= 1
const T2CKPS0	= 0

//---------------------------------------------------------------------
//	CCP1CON bits
//---------------------------------------------------------------------

const CCP1X	= 5
const CCP1Y	= 4
const CCP1M3	= 3
const CCP1M2	= 2
const CCP1M1	= 1
const CCP1M0	= 0

//---------------------------------------------------------------------
//	RCSTA bits
//---------------------------------------------------------------------

const SPEN	= 7
const RX9	= 6
const SREN	= 5
const CREN	= 4
const ADEN	= 3
const FERR	= 2
const OERR	= 1
const RX9D	= 0

//---------------------------------------------------------------------
//	CMCON bits
//---------------------------------------------------------------------

const C2OUT	= 7
const C1OUT	= 6
const C2INV	= 5
const C1INV	= 4
const CIS	= 3
const CM2	= 2
const CM1	= 1
const CM0	= 0

//---------------------------------------------------------------------
//	OPTION_REG bits
//---------------------------------------------------------------------

const NOT_RBPU	= 7
const INTEDG	= 6
const T0CS	= 5
const T0SE	= 4
const PSA	= 3
const PS2	= 2
const PS1	= 1
const PS0	= 0

//---------------------------------------------------------------------
//	PIE1 bits
//---------------------------------------------------------------------

const EEIE	= 7
const CMIE	= 6
const RCIE	= 5
const TXIE	= 4
const CCP1IE	= 2
const TMR2IE	= 1
const TMR1IE	= 0

//---------------------------------------------------------------------
//	PCON bits
//---------------------------------------------------------------------

const OSCF	= 3
const NOT_POR	= 1
const NOT_BO	= 0
const NOT_BOR	= 0
const NOT_BOD	= 0

//---------------------------------------------------------------------
//	TXSTA bits
//---------------------------------------------------------------------

const CSRC	= 7
const TX9	= 6
const TXEN	= 5
const SYNC	= 4
const BRGH	= 2
const TRMT	= 1
const TX9D	= 0

//---------------------------------------------------------------------
//	EECON1 bits
//---------------------------------------------------------------------

const has_self_write_capability = 0
const has_self_read_capability  = 0
const has_self_erase_capability = 0

const EEPGD	= 7		// NOTE: this MCU does not have EEPGD, it is here for library compatability
const FREE	= 4		// NOTE: this MCU does not have FREE, it is here for library compatability
const WRERR	= 3
const WREN	= 2
const WR	= 1
const RD	= 0

//---------------------------------------------------------------------
//	VRCON bits
//---------------------------------------------------------------------

const VREN	= 7
const VROE	= 6
const VRR	= 5
const VR3	= 3
const VR2	= 2
const VR1	= 1
const VR0	= 0

