//----------------------------------------------------------------------
//	STATUS bits
//----------------------------------------------------------------------

const IRP	= 7
const RP1	= 6
const RP0	= 5
const NOT_TO	= 4
const NOT_PD	= 3
const Z		= 2
const DC	= 1
const C		= 0

//----------------------------------------------------------------------
//	INTCON bits
//----------------------------------------------------------------------

const GIE	= 7
const PEIE	= 6
const T0IE	= 5
const INTE	= 4
const RAIE	= 3
const T0IF	= 2
const INTF	= 1
const RAIF	= 0

//----------------------------------------------------------------------
//	PIR1 bits
//----------------------------------------------------------------------

const EEIF	= 7
const ADIF	= 6
const RCIF	= 5
const C2IF	= 4
const C1IF	= 3
const OSFIF	= 2
const TXIF	= 1
const T1IF	= 0
const TMR1IF	= 0

//----------------------------------------------------------------------
//	T1CON bits
//----------------------------------------------------------------------

const T1GINV	= 7
const TMR1GE	= 6
const T1CKPS1 	= 5
const T1CKPS0 	= 4
const T1OSCEN 	= 3
const NOT_T1SYNC= 2
const TMR1CS	= 1
const TMR1ON	= 0

//----------------------------------------------------------------------
//	BAUDCTL bits
//----------------------------------------------------------------------

const ABDOVF	= 7
const RCIDL	= 6
const SCKP	= 4
const BRG16	= 3
const WUE	= 1
const ABDEN	= 0

//----------------------------------------------------------------------
//	TXSTA bits
//----------------------------------------------------------------------

const CSRC	= 7
const TX9	= 6
const TXEN	= 5
const SYNC	= 4
const SENDB	= 3
const BRGH	= 2
const TRMT	= 1
const TX9D	= 0

//----------------------------------------------------------------------
//	RCSTA bits
//----------------------------------------------------------------------

const SPEN	= 7
const RX9	= 6
const SREN	= 5
const CREN	= 4
const ADDEN	= 3
const FERR	= 2
const OERR	= 1
const RX9D	= 0

//----------------------------------------------------------------------
//	WDTCON bits
//----------------------------------------------------------------------

const WDTPS3	= 4
const WDTPS2	= 3
const WDTPS1	= 2
const WDTPS0	= 1
const SWDTEN	= 0

//----------------------------------------------------------------------
//	COMCON0 bits
//----------------------------------------------------------------------

const C2OUT	= 7
const C1OUT	= 6
const C2INV	= 5
const C1INV	= 4
const CIS	= 3
const CM2	= 2
const CM1	= 1
const CM0	= 0

//----------------------------------------------------------------------
//	COMCON1 bits
//----------------------------------------------------------------------

const T1GSS	= 1
const C2SYNC	= 0

//----------------------------------------------------------------------
//	ADCON0 bits
//----------------------------------------------------------------------

const ADFM	= 7
const VCFG	= 6
const CHS2	= 4
const CHS1	= 3
const CHS0	= 2
const GO	= 1
const NOT_DONE	= 1
const GO_DONE 	= 1
const ADON	= 0

//----------------------------------------------------------------------
//	OPTION_REG bits
//----------------------------------------------------------------------

const NOT_RAPU	= 7
const INTEDG	= 6
const T0CS	= 5
const T0SE	= 4
const PSA	= 3
const PS2	= 2
const PS1	= 1
const PS0	= 0

//----------------------------------------------------------------------
//	PIE1 bits
//----------------------------------------------------------------------

const EEIE	= 7
const ADIE	= 6
const RCIE	= 5
const C2IE	= 4
const C1IE	= 3
const OSFIE	= 2
const TXIE	= 1
const T1IE	= 0
const TMR1IE	= 0

//----------------------------------------------------------------------
//	PCON bits
//----------------------------------------------------------------------

const ULPWUE	= 5
const SBODEN	= 4
const NOT_POR 	= 1
const NOT_BOD 	= 0

//----------------------------------------------------------------------
//	OSCCON bits
//----------------------------------------------------------------------

const IRCF2	= 6
const IRCF1	= 5
const IRCF0	= 4
const OSTS	= 3
const HTS	= 2
const LTS	= 1
const SCS	= 0

//----------------------------------------------------------------------
//	OSCTUNE bits
//----------------------------------------------------------------------

const TUN4	= 4
const TUN3	= 3
const TUN2	= 2
const TUN1	= 1
const TUN0	= 0

//----------------------------------------------------------------------
//	ANSEL bits
//----------------------------------------------------------------------

const ANS7	= 7
const ANS6	= 6
const ANS5	= 5
const ANS4	= 4
const ANS3	= 3
const ANS2	= 2
const ANS1	= 1
const ANS0	= 0

//----------------------------------------------------------------------
//	IOC bits
//----------------------------------------------------------------------

const IOC5	= 5
const IOC4	= 4
const IOC3	= 3
const IOC2	= 2
const IOC1	= 1
const IOC0	= 0

//----------------------------------------------------------------------
//	IOCA bits
//----------------------------------------------------------------------

const IOCA5	= 5
const IOCA4	= 4
const IOCA3	= 3
const IOCA2	= 2
const IOCA1	= 1
const IOCA0	= 0

//----------------------------------------------------------------------
//	VRCON bits
//----------------------------------------------------------------------

const VREN	= 7
const VRR	= 5
const VR3	= 3
const VR2	= 2
const VR1	= 1
const VR0	= 0

//----------------------------------------------------------------------
//	EECON1 bits
//----------------------------------------------------------------------

const has_self_write_capability = 0
const has_self_read_capability  = 1
const has_self_erase_capability = 0

const EEPGD	= 7
const FREE	= 4		// NOTE: this MCU does not have FREE, it is here for library compatability
const WRERR	= 3
const WREN	= 2
const WR	= 1
const RD	= 0

//----------------------------------------------------------------------
//	ADCON1 bits
//----------------------------------------------------------------------

const ADCS2	= 6
const ADCS1	= 5
const ADCS0	= 4

