//---------------------------------------------------------------------
//	16F84 control register definitions
//---------------------------------------------------------------------

const	false = 0
const	true  = 1

pragma cpu_type 0x84

pragma physical_code_limit 0x400

hwreg W_ISR_SAV   = 0x000C
hwreg cmp_xacc	  = 0x000D
hwreg aux_carry_0 = 0x000E
hwreg aux_carry_1 = 0x000F


pragma define_ram_pages 0, 0x00, 0x0B
pragma define_ram_pages 1, 0x80, 0x8B
pragma define_ram_pages 2, 0x100, 0x10B
pragma define_ram_pages 3, 0x180, 0x18B

pragma define_ram_hole  0,  0
pragma define_ram_hole  2,  2
pragma define_ram_hole  3,  3
pragma define_ram_hole  4,  4
pragma define_ram_hole 10, 10
pragma define_ram_hole 11, 11

pragma define_variable_ram  "group1", 0x10, 0x4F


hwreg INDF	 = 0x0000
hwreg TMR0	 = 0x0001
hwreg PCL	 = 0x0002
hwreg STATUS	 = 0x0003
hwreg FSR	 = 0x0004
hwreg PORTA	 = 0x0005
hwreg PORTB	 = 0x0006
hwreg EEDATA	 = 0x0008
hwreg EEADR	 = 0x0009
hwreg PCLATH	 = 0x000A
hwreg INTCON	 = 0x000B

hwreg OPTION_REG = 0x0081
hwreg TRISA	 = 0x0085
hwreg TRISB	 = 0x0086
hwreg EECON1	 = 0x0088
hwreg EECON2	 = 0x0089


//----------------------------------------------------------------------
//	bit definitions
//----------------------------------------------------------------------
include "hwreg-p16f84-sfr.h"
include "hwreg-p16f84-sfr-bit.h"
include "hwreg-p16f84-pkg.h"


//----------------------------------------------------------------------
//	16f84 configuration masks
//----------------------------------------------------------------------

pragma cpu_config_cnt 1

const CFG_CP_ON                       = 0x3FF0000F
const CFG_CP_OFF                      = 0x3FF03FFF
const CFG_PWRTE_ON                    = 0x00083FF7
const CFG_PWRTE_OFF                   = 0x00083FFF
const CFG_WDT_ON                      = 0x00043FFF
const CFG_WDT_OFF                     = 0x00043FFB
const CFG_LP_OSC                      = 0x00033FFC
const CFG_XT_OSC                      = 0x00033FFD
const CFG_HS_OSC                      = 0x00033FFE
const CFG_RC_OSC                      = 0x00033FFF


//----------------------------------------------------------------------
//----------------------------------------------------------------------

pragma build_config_option 1 BLD_OPT_PORTA_INIT

const BLD_OPT_PORTA_DIGITAL_IO = 0x03010001

// NOTE: 16f84 does not have analog option
// const BLD_OPT_PORTA_ANALOG_IO  = 0x03010002


//----------------------------------------------------------------------
//----------------------------------------------------------------------
include "interrupt.h"

