//---------------------------------------------------------------------
//	STATUS bits
//---------------------------------------------------------------------

const IRP	= 7
const RP1	= 6
const RP0	= 5
const NOT_TO	= 4
const NOT_PD	= 3
const Z 	= 2
const DC	= 1
const C 	= 0

//---------------------------------------------------------------------
//	INTCON bits
//---------------------------------------------------------------------

const GIE	= 7
const PEIE	= 6
const T0IE	= 5
const INTE	= 4
const RBIE	= 3
const T0IF	= 2
const INTF	= 1
const RBIF	= 0

//---------------------------------------------------------------------
//	PIR1 bits
//---------------------------------------------------------------------

const ADIF	= 6
const RCIF	= 5
const TXIF	= 4
const SSPIF	= 3
const CCP1IF	= 2
const TMR2IF	= 1
const TMR1IF	= 0

//---------------------------------------------------------------------
//	PIR2 bits
//---------------------------------------------------------------------

const EEIF	= 4
const BCLIF	= 3
const CCP2IF	= 0

//---------------------------------------------------------------------
//	T1CON bits
//---------------------------------------------------------------------

const T1CKPS1	= 5
const T1CKPS0	= 4
const T1OSCEN	= 3
const NOT_T1SYNC= 2
const T1INSYNC	= 2
const T1SYNC	= 2
const TMR1CS	= 1
const TMR1ON	= 0

//---------------------------------------------------------------------
//	T2CON bits
//---------------------------------------------------------------------

const TOUTPS3	= 6
const TOUTPS2	= 5
const TOUTPS1	= 4
const TOUTPS0	= 3
const TMR2ON	= 2
const T2CKPS1	= 1
const T2CKPS0	= 0

//---------------------------------------------------------------------
//	SSPCON bits
//---------------------------------------------------------------------

const WCOL	= 7
const SSPOV	= 6
const SSPEN	= 5
const CKP	= 4
const SSPM3	= 3
const SSPM2	= 2
const SSPM1	= 1
const SSPM0	= 0

//---------------------------------------------------------------------
//	CCP1CON bits
//---------------------------------------------------------------------

const CCP1X	= 5
const CCP1Y	= 4
const CCP1M3	= 3
const CCP1M2	= 2
const CCP1M1	= 1
const CCP1M0	= 0

//---------------------------------------------------------------------
//	RCSTA bits
//---------------------------------------------------------------------

const SPEN	= 7
const RX9	= 6
const RC9	= 6
const NOT_RC8	= 6
const RC8_9	= 6
const SREN	= 5
const CREN	= 4
const ADDEN	= 3
const FERR	= 2
const OERR	= 1
const RX9D	= 0
const RCD8	= 0

//---------------------------------------------------------------------
//	CCP2CON bits
//---------------------------------------------------------------------

const CCP2X	= 5
const CCP2Y	= 4
const CCP2M3	= 3
const CCP2M2	= 2
const CCP2M1	= 1
const CCP2M0	= 0

//---------------------------------------------------------------------
//	ADCON0 bits
//---------------------------------------------------------------------

const ADCS1	= 7
const ADCS0	= 6
const CHS2	= 5
const CHS1	= 4
const CHS0	= 3
const GO	= 2
const NOT_DONE	= 2
const GO_DONE	= 2
const ADON	= 0

//---------------------------------------------------------------------
//	OPTION_REG bits
//---------------------------------------------------------------------

const NOT_RBPU	= 7
const INTEDG	= 6
const T0CS	= 5
const T0SE	= 4
const PSA	= 3
const PS2	= 2
const PS1	= 1
const PS0	= 0

//---------------------------------------------------------------------
//	PIE1 bits
//---------------------------------------------------------------------

const ADIE	= 6
const RCIE	= 5
const TXIE	= 4
const SSPIE	= 3
const CCP1IE	= 2
const TMR2IE	= 1
const TMR1IE	= 0

//---------------------------------------------------------------------
//	PIE2 bits
//---------------------------------------------------------------------

const EEIE	= 4
const BCLIE	= 3
const CCP2IE	= 0

//---------------------------------------------------------------------
//	PCON bits
//---------------------------------------------------------------------

const NOT_POR	= 1
const NOT_BO	= 0
const NOT_BOR	= 0

//---------------------------------------------------------------------
//	SSPCON2 bits
//---------------------------------------------------------------------

const GCEN	= 7
const ACKSTAT	= 6
const ACKDT	= 5
const ACKEN	= 4
const RCEN	= 3
const PEN	= 2
const RSEN	= 1
const SEN	= 0

//---------------------------------------------------------------------
//	SSPSTAT bits
//---------------------------------------------------------------------

const SMP	= 7
const CKE	= 6
const D		= 5
const I2C_DATA	= 5
const P		= 4
const I2C_STOP	= 4
const S		= 3
const I2C_START	= 3
const R		= 2
const I2C_READ	= 2
const UA	= 1
const BF	= 0

//---------------------------------------------------------------------
//	TXSTA bits
//---------------------------------------------------------------------

const CSRC	= 7
const TX9	= 6
const NOT_TX8	= 6
const TX8_9	= 6
const TXEN	= 5
const SYNC	= 4
const BRGH	= 2
const TRMT	= 1
const TX9D	= 0
const TXD8	= 0

//---------------------------------------------------------------------
//	ADCON1 bits
//---------------------------------------------------------------------

const ADFM	= 7
const PCFG3	= 3
const PCFG2	= 2
const PCFG1	= 1
const PCFG0	= 0

//---------------------------------------------------------------------
//	EECON1 bits
//---------------------------------------------------------------------

const has_self_write_capability = 1
const has_self_read_capability  = 1
const has_self_erase_capability = 0

const EEPGD	= 7
const FREE	= 4		// NOTE: this MCU does not have FREE, it is here for library compatability
const WRERR	= 3
const WREN	= 2
const WR	= 1
const RD	= 0

