//----------------------------------------------------------------------
//	STATUS bits
//----------------------------------------------------------------------

const	STATUS_IRP	= (&STATUS << 3) + IRP	
const	STATUS_RP1	= (&STATUS << 3) + RP1	
const	STATUS_RP0	= (&STATUS << 3) + RP0	
const	STATUS_NOT_TO	= (&STATUS << 3) + NOT_TO	
const	STATUS_NOT_PD	= (&STATUS << 3) + NOT_PD	
const	STATUS_Z	= (&STATUS << 3) + Z	
const	STATUS_DC	= (&STATUS << 3) + DC	
const	STATUS_C	= (&STATUS << 3) + C	

//----------------------------------------------------------------------
//	INTCON bits
//----------------------------------------------------------------------

const	INTCON_GIE	= (&INTCON << 3) + GIE	
const	INTCON_PEIE	= (&INTCON << 3) + PEIE	
const	INTCON_TMR0IE	= (&INTCON << 3) + TMR0IE	
const	INTCON_T0IE	= (&INTCON << 3) + T0IE	
const	INTCON_INTE	= (&INTCON << 3) + INTE	
const	INTCON_RBIE	= (&INTCON << 3) + RBIE	
const	INTCON_TMR0IF	= (&INTCON << 3) + TMR0IF	
const	INTCON_T0IF	= (&INTCON << 3) + T0IF	
const	INTCON_INTF	= (&INTCON << 3) + INTF	
const	INTCON_RBIF	= (&INTCON << 3) + RBIF	

//----------------------------------------------------------------------
//	PIR1 bits
//----------------------------------------------------------------------

const	PIR1_ADIF	= (&PIR1 << 3) + ADIF	
const	PIR1_RCIF	= (&PIR1 << 3) + RCIF	
const	PIR1_TXIF	= (&PIR1 << 3) + TXIF	
const	PIR1_SSPIF	= (&PIR1 << 3) + SSPIF	
const	PIR1_CCP1IF	= (&PIR1 << 3) + CCP1IF	
const	PIR1_TMR2IF	= (&PIR1 << 3) + TMR2IF	
const	PIR1_TMR1IF	= (&PIR1 << 3) + TMR1IF	

//----------------------------------------------------------------------
//	PIR2 bits
//----------------------------------------------------------------------

const	PIR2_OSFIF	= (&PIR2 << 3) + OSFIF	
const	PIR2_CMIF	= (&PIR2 << 3) + CMIF	
const	PIR2_EEIF	= (&PIR2 << 3) + EEIF	

//----------------------------------------------------------------------
//	T1CON bits
//----------------------------------------------------------------------

const	T1CON_T1RUN	= (&T1CON << 3) + T1RUN	
const	T1CON_T1CKPS1	= (&T1CON << 3) + T1CKPS1	
const	T1CON_T1CKPS0	= (&T1CON << 3) + T1CKPS0	
const	T1CON_T1OSCEN	= (&T1CON << 3) + T1OSCEN	
const	T1CON_NOT_T1SYNC	= (&T1CON << 3) + NOT_T1SYNC	
const	T1CON_T1INSYNC	= (&T1CON << 3) + T1INSYNC	
const	T1CON_TMR1CS	= (&T1CON << 3) + TMR1CS	
const	T1CON_TMR1ON	= (&T1CON << 3) + TMR1ON	

//----------------------------------------------------------------------
//	T2CON bits
//----------------------------------------------------------------------

const	T2CON_TOUTPS3	= (&T2CON << 3) + TOUTPS3	
const	T2CON_TOUTPS2	= (&T2CON << 3) + TOUTPS2	
const	T2CON_TOUTPS1	= (&T2CON << 3) + TOUTPS1	
const	T2CON_TOUTPS0	= (&T2CON << 3) + TOUTPS0	
const	T2CON_TMR2ON	= (&T2CON << 3) + TMR2ON	
const	T2CON_T2CKPS1	= (&T2CON << 3) + T2CKPS1	
const	T2CON_T2CKPS0	= (&T2CON << 3) + T2CKPS0	

//----------------------------------------------------------------------
//	SSPCON bits
//----------------------------------------------------------------------

const	SSPCON_WCOL	= (&SSPCON << 3) + WCOL	
const	SSPCON_SSPOV	= (&SSPCON << 3) + SSPOV	
const	SSPCON_SSPEN	= (&SSPCON << 3) + SSPEN	
const	SSPCON_CKP	= (&SSPCON << 3) + CKP	
const	SSPCON_SSPM3	= (&SSPCON << 3) + SSPM3	
const	SSPCON_SSPM2	= (&SSPCON << 3) + SSPM2	
const	SSPCON_SSPM1	= (&SSPCON << 3) + SSPM1	
const	SSPCON_SSPM0	= (&SSPCON << 3) + SSPM0	

//----------------------------------------------------------------------
//	CCP1CON bits
//----------------------------------------------------------------------

const	CCP1CON_CCP1X	= (&CCP1CON << 3) + CCP1X	
const	CCP1CON_CCP1Y	= (&CCP1CON << 3) + CCP1Y	
const	CCP1CON_CCP1M3	= (&CCP1CON << 3) + CCP1M3	
const	CCP1CON_CCP1M2	= (&CCP1CON << 3) + CCP1M2	
const	CCP1CON_CCP1M1	= (&CCP1CON << 3) + CCP1M1	
const	CCP1CON_CCP1M0	= (&CCP1CON << 3) + CCP1M0	

//----------------------------------------------------------------------
//	RCSTA bits
//----------------------------------------------------------------------

const	RCSTA_SPEN	= (&RCSTA << 3) + SPEN	
const	RCSTA_RX9	= (&RCSTA << 3) + RX9	
const	RCSTA_RC9	= (&RCSTA << 3) + RC9	
const	RCSTA_NOT_RC8	= (&RCSTA << 3) + NOT_RC8	
const	RCSTA_RC8_9	= (&RCSTA << 3) + RC8_9	
const	RCSTA_SREN	= (&RCSTA << 3) + SREN	
const	RCSTA_CREN	= (&RCSTA << 3) + CREN	
const	RCSTA_ADDEN	= (&RCSTA << 3) + ADDEN	
const	RCSTA_FERR	= (&RCSTA << 3) + FERR	
const	RCSTA_OERR	= (&RCSTA << 3) + OERR	
const	RCSTA_RX9D	= (&RCSTA << 3) + RX9D	
const	RCSTA_RCD8	= (&RCSTA << 3) + RCD8	

//----------------------------------------------------------------------
//	ADCON0 bits
//----------------------------------------------------------------------

const	ADCON0_ADCS1	= (&ADCON0 << 3) + ADCS1	
const	ADCON0_ADCS0	= (&ADCON0 << 3) + ADCS0	
const	ADCON0_CHS2	= (&ADCON0 << 3) + CHS2	
const	ADCON0_CHS1	= (&ADCON0 << 3) + CHS1	
const	ADCON0_CHS0	= (&ADCON0 << 3) + CHS0	
const	ADCON0_GO	= (&ADCON0 << 3) + GO	
const	ADCON0_NOT_DONE	= (&ADCON0 << 3) + NOT_DONE	
const	ADCON0_GO_DONE	= (&ADCON0 << 3) + GO_DONE	
const	ADCON0_ADON	= (&ADCON0 << 3) + ADON	

//----------------------------------------------------------------------
//	OPTION_REG bits
//----------------------------------------------------------------------

const	OPTION_REG_NOT_RBPU	= (&OPTION_REG << 3) + NOT_RBPU	
const	OPTION_REG_INTEDG	= (&OPTION_REG << 3) + INTEDG	
const	OPTION_REG_T0CS	= (&OPTION_REG << 3) + T0CS	
const	OPTION_REG_T0SE	= (&OPTION_REG << 3) + T0SE	
const	OPTION_REG_PSA	= (&OPTION_REG << 3) + PSA	
const	OPTION_REG_PS2	= (&OPTION_REG << 3) + PS2	
const	OPTION_REG_PS1	= (&OPTION_REG << 3) + PS1	
const	OPTION_REG_PS0	= (&OPTION_REG << 3) + PS0	

//----------------------------------------------------------------------
//	PIE1 bits
//----------------------------------------------------------------------

const	PIE1_ADIE	= (&PIE1 << 3) + ADIE	
const	PIE1_RCIE	= (&PIE1 << 3) + RCIE	
const	PIE1_TXIE	= (&PIE1 << 3) + TXIE	
const	PIE1_SSPIE	= (&PIE1 << 3) + SSPIE	
const	PIE1_CCP1IE	= (&PIE1 << 3) + CCP1IE	
const	PIE1_TMR2IE	= (&PIE1 << 3) + TMR2IE	
const	PIE1_TMR1IE	= (&PIE1 << 3) + TMR1IE	

//----------------------------------------------------------------------
//	PIE2 bits
//----------------------------------------------------------------------

const	PIE2_OSFIE	= (&PIE2 << 3) + OSFIE	
const	PIE2_CMIE	= (&PIE2 << 3) + CMIE	
const	PIE2_EEIE	= (&PIE2 << 3) + EEIE	

//----------------------------------------------------------------------
//	PCON bits
//----------------------------------------------------------------------

const	PCON_NOT_POR	= (&PCON << 3) + NOT_POR	
const	PCON_NOT_BO	= (&PCON << 3) + NOT_BO	
const	PCON_NOT_BOR	= (&PCON << 3) + NOT_BOR	

//----------------------------------------------------------------------
//	OSCCON bits
//----------------------------------------------------------------------

const	OSCCON_IRCF2	= (&OSCCON << 3) + IRCF2	
const	OSCCON_IRCF1	= (&OSCCON << 3) + IRCF1	
const	OSCCON_IRCF0	= (&OSCCON << 3) + IRCF0	
const	OSCCON_OSTS	= (&OSCCON << 3) + OSTS	
const	OSCCON_IOFS	= (&OSCCON << 3) + IOFS	
const	OSCCON_SCS1	= (&OSCCON << 3) + SCS1	
const	OSCCON_SCS0	= (&OSCCON << 3) + SCS0	

//----------------------------------------------------------------------
//	OSCTUNE bits
//----------------------------------------------------------------------

const	OSCTUNE_TUN5	= (&OSCTUNE << 3) + TUN5	
const	OSCTUNE_TUN4	= (&OSCTUNE << 3) + TUN4	
const	OSCTUNE_TUN3	= (&OSCTUNE << 3) + TUN3	
const	OSCTUNE_TUN2	= (&OSCTUNE << 3) + TUN2	
const	OSCTUNE_TUN1	= (&OSCTUNE << 3) + TUN1	
const	OSCTUNE_TUN0	= (&OSCTUNE << 3) + TUN0	

//----------------------------------------------------------------------
//	SSPSTAT bits
//----------------------------------------------------------------------

const	SSPSTAT_SMP	= (&SSPSTAT << 3) + SMP	
const	SSPSTAT_CKE	= (&SSPSTAT << 3) + CKE	
const	SSPSTAT_D	= (&SSPSTAT << 3) + D	
const	SSPSTAT_I2C_DATA	= (&SSPSTAT << 3) + I2C_DATA	
const	SSPSTAT_P	= (&SSPSTAT << 3) + P	
const	SSPSTAT_I2C_STOP	= (&SSPSTAT << 3) + I2C_STOP	
const	SSPSTAT_S	= (&SSPSTAT << 3) + S	
const	SSPSTAT_I2C_START	= (&SSPSTAT << 3) + I2C_START	
const	SSPSTAT_R	= (&SSPSTAT << 3) + R	
const	SSPSTAT_I2C_READ	= (&SSPSTAT << 3) + I2C_READ	
const	SSPSTAT_UA	= (&SSPSTAT << 3) + UA	
const	SSPSTAT_BF	= (&SSPSTAT << 3) + BF	

//----------------------------------------------------------------------
//	TXSTA bits
//----------------------------------------------------------------------

const	TXSTA_CSRC	= (&TXSTA << 3) + CSRC	
const	TXSTA_TX9	= (&TXSTA << 3) + TX9	
const	TXSTA_NOT_TX8	= (&TXSTA << 3) + NOT_TX8	
const	TXSTA_TX8_9	= (&TXSTA << 3) + TX8_9	
const	TXSTA_TXEN	= (&TXSTA << 3) + TXEN	
const	TXSTA_SYNC	= (&TXSTA << 3) + SYNC	
const	TXSTA_BRGH	= (&TXSTA << 3) + BRGH	
const	TXSTA_TRMT	= (&TXSTA << 3) + TRMT	
const	TXSTA_TX9D	= (&TXSTA << 3) + TX9D	
const	TXSTA_TXD8	= (&TXSTA << 3) + TXD8	

//----------------------------------------------------------------------
//	ADCON1 bits
//----------------------------------------------------------------------

const	ADCON1_ADFM	= (&ADCON1 << 3) + ADFM	
const	ADCON1_ADCS2	= (&ADCON1 << 3) + ADCS2	
const	ADCON1_VCFG1	= (&ADCON1 << 3) + VCFG1	
const	ADCON1_VCFG0	= (&ADCON1 << 3) + VCFG0	

//----------------------------------------------------------------------
//	WDTCON bits
//----------------------------------------------------------------------

const	WDTCON_WDTPS3	= (&WDTCON << 3) + WDTPS3	
const	WDTCON_WDTPS2	= (&WDTCON << 3) + WDTPS2	
const	WDTCON_WDTPS1	= (&WDTCON << 3) + WDTPS1	
const	WDTCON_WDTPS0	= (&WDTCON << 3) + WDTPS0	
const	WDTCON_SWDTEN	= (&WDTCON << 3) + SWDTEN	
const	WDTCON_SWDTE	= (&WDTCON << 3) + SWDTE	

//----------------------------------------------------------------------
//	CMCON bits
//----------------------------------------------------------------------

const	CMCON_C2OUT	= (&CMCON << 3) + C2OUT	
const	CMCON_C1OUT	= (&CMCON << 3) + C1OUT	
const	CMCON_C2INV	= (&CMCON << 3) + C2INV	
const	CMCON_C1INV	= (&CMCON << 3) + C1INV	
const	CMCON_CIS	= (&CMCON << 3) + CIS	
const	CMCON_CM2	= (&CMCON << 3) + CM2	
const	CMCON_CM1	= (&CMCON << 3) + CM1	
const	CMCON_CM0	= (&CMCON << 3) + CM0	

//----------------------------------------------------------------------
//	CVRCON bits
//----------------------------------------------------------------------

const	CVRCON_CVREN	= (&CVRCON << 3) + CVREN	
const	CVRCON_CVROE	= (&CVRCON << 3) + CVROE	
const	CVRCON_CVRR	= (&CVRCON << 3) + CVRR	
const	CVRCON_CVR3	= (&CVRCON << 3) + CVR3	
const	CVRCON_CVR2	= (&CVRCON << 3) + CVR2	
const	CVRCON_CVR1	= (&CVRCON << 3) + CVR1	
const	CVRCON_CVR0	= (&CVRCON << 3) + CVR0	

//----------------------------------------------------------------------
//	EECON1 bits
//----------------------------------------------------------------------


const	EECON1_EEPGD	= (&EECON1 << 3) + EEPGD	
const	EECON1_FREE	= (&EECON1 << 3) + FREE	
const	EECON1_WRERR	= (&EECON1 << 3) + WRERR	
const	EECON1_WREN	= (&EECON1 << 3) + WREN	
const	EECON1_WR	= (&EECON1 << 3) + WR	
const	EECON1_RD	= (&EECON1 << 3) + RD	

