//----------------------------------------------------------------------
//----------------------------------------------------------------------

include "MCU-CONFIG/hwreg-p16f876.h"

pragma cpu_fosc 4000000

pragma cpu_config CFG_CP_OFF
pragma cpu_config CFG_WRT_ENABLE_ON
pragma cpu_config CFG_DEBUG_OFF
pragma cpu_config CFG_CPD_OFF
pragma cpu_config CFG_LVP_OFF
pragma cpu_config CFG_BODEN_OFF
pragma cpu_config CFG_PWRTE_ON
pragma cpu_config CFG_WDT_OFF
pragma cpu_config CFG_XT_OSC

pragma cpu_heartbeat 20

pragma build_config BLD_OPT_PORTA_ANALOG_IO

include "LIB/str_lib.bas"
include "LIB/str_byte_lib.bas"
include "LIB/str_int_lib.bas"
include "LIB/lcd_lib.bas"
include "LIB/adc_lib.bas"
include "LIB/pwm_lib.bas"

//----------------------------------------------------------------------
//----------------------------------------------------------------------
proc task_1()

	TRISA = TRISA & ~2

	while 1 do

		PORTA = PORTA & ~2

		// wait 0.1 second
		task_wait 2

		PORTA = PORTA | 2

		// wait 0.3 second
		task_wait 6
	done

endproc


//----------------------------------------------------------------------
//----------------------------------------------------------------------
proc main()

	ubyte	j, k
	char	buff[16]

	int	val, old_val


	// configure PORTA bit 0 as analog and all other
	// bits of PORTA are digital
	ADC_init(14)

	PWM_init()

	LCD_init()


/*
	INTCON = INTCON | (1 << PEIE)
*/

	task_start &task_1

	LCD_set_pos(0, 0)
	LCD_write_str("hello world")

	old_val = -1

	PWM_on()

	while 1 do

		ADC_start_read_8bit_nowait(0)

		while ADC_service_nowait() == 0 do

			task_wait 1
		done

		val = ADC_read_8bit_nowait(0)

		if val != old_val then

			PWM_set(val << 3, val << 2)

			old_val = val
		endif

		int_to_str(&buff, val)
		strcat(&buff, " ")

		LCD_set_pos(0, 1)

		LCD_write_str(&buff)
	done

endproc


//----------------------------------------------------------------------
//----------------------------------------------------------------------
proc intserv()

	ADC_service()

endproc


