//----------------------------------------------------------------------
//----------------------------------------------------------------------

include "MCU-CONFIG/hwreg-p16f876.h"

pragma cpu_fosc 4000000

pragma cpu_config CFG_CP_OFF
pragma cpu_config CFG_WRT_ENABLE_ON
pragma cpu_config CFG_DEBUG_OFF
pragma cpu_config CFG_CPD_OFF
pragma cpu_config CFG_LVP_OFF
pragma cpu_config CFG_BODEN_OFF
pragma cpu_config CFG_PWRTE_ON
pragma cpu_config CFG_WDT_OFF
pragma cpu_config CFG_XT_OSC

pragma cpu_heartbeat 200

pragma build_config BLD_OPT_PORTA_DIGITAL_IO

include "LIB/led_mux_lib.bas"
include "LIB/rand_lib.bas"


//----------------------------------------------------------------------
//----------------------------------------------------------------------
proc main()

	int	x, y, dx, dy
	ubyte	cnt


	rand16_init(0xffff)
	led_mux_init()


	cnt = 0

	x = 0
	y = 0
	dx = 0
	dy = 0

	while 1 do

		led_mux_clear()

		if cnt == 0 then

			while 1 do

				dx = rand16(5) & 0x1F
				dy = rand16(5) & 0x1F

				if dx != 0  ||  dy != 0 then
					// keep generating values for dx and dy
					// until we get a non-zero pair
					break
				endif
			done

			if (dx & 0x10) != 0 then
				// use bit 4 as sign bit
				// convert 0b_0001_xxxx
				// to      0b_1111_xxxx

				dx = dx | 0xE0
			endif

			if (dy & 0x10) != 0 then
				// use bit 4 as sign bit
				// convert 0b_0001_xxxx
				// to      0b_1111_xxxx

				dy = dy | 0xE0
			endif

			cnt += 1

			x = 4 << 4
			y = 4 << 4
		else
			x = x + dx
			y = y + dy
		endif

		if (x < 0  ||  x > (7 << 4))  ||  (y < 0  ||  y > (7 << 4)) then
			cnt -= 1
		else
			led_mux_on(x >> 4, y >> 4)
		endif

		// about 0.3 second
		task_wait 60
	done

endproc


//----------------------------------------------------------------------
//----------------------------------------------------------------------
proc intserv()

	led_mux_service()

endproc

