//----------------------------------------------------------------------
//----------------------------------------------------------------------

include "MCU-CONFIG/hwreg-p16f628.h"

pragma cpu_fosc 4000000

pragma cpu_config CFG_INTRC_OSC_NOCLKOUT
pragma cpu_config CFG_WDT_OFF
pragma cpu_config CFG_PWRTE_ON
pragma cpu_config CFG_MCLRE_OFF
pragma cpu_config CFG_BODEN_ON
pragma cpu_config CFG_LVP_OFF
pragma cpu_config CFG_CP_OFF
pragma cpu_config CFG_DATA_CP_OFF

pragma cpu_heartbeat 20

pragma build_config BLD_OPT_PORTA_DIGITAL_IO

//----------------------------------------------------------------------
//----------------------------------------------------------------------
int	res_arr[32]

//----------------------------------------------------------------------
//----------------------------------------------------------------------
proc prime(int *arr)

	int	cnt, j, k


	// assume the first prime is 2 and
	// add it to the list of primes

	cnt = 1
	*arr = 2

	for j=3 while cnt<32 step j+=2 do

		// we know all even numbers are not prime
		// since they are multiples of 2 which is
		// a prime, so skip all even numbers

		for k=0 while 1 step k+=1 do

			if *(arr + k) * *(arr + k) > j then

				// square root of j is > prime k

				// therefor no prime after prime k
				// can be a factor of j so j must
				// be prime

				// add j to the list of primes

				*(arr + cnt) = j
				cnt += 1
				break
			endif

			if j % *(arr + k) == 0 then

				// prime k is a factor of j
				// so j cannot be a prime

				break
			endif
		done

	done

endproc


proc main()

	prime(&res_arr)

endproc

proc intserv()
endproc

