//----------------------------------------------------------------------
//----------------------------------------------------------------------

include "MCU-CONFIG/hwreg-p16f876.h"

pragma cpu_fosc 4000000

pragma cpu_config CFG_CP_OFF
pragma cpu_config CFG_WRT_ENABLE_ON
pragma cpu_config CFG_DEBUG_OFF
pragma cpu_config CFG_CPD_OFF
pragma cpu_config CFG_LVP_OFF
pragma cpu_config CFG_BODEN_OFF
pragma cpu_config CFG_PWRTE_ON
pragma cpu_config CFG_WDT_OFF
pragma cpu_config CFG_XT_OSC

pragma cpu_heartbeat 200

pragma build_config BLD_OPT_PORTA_DIGITAL_IO

include "LIB/led_mux_lib.bas"
include "LIB/rand_lib.bas"

const display_limit = 3

//----------------------------------------------------------------------
//----------------------------------------------------------------------
proc main()

	int	x[5], y[5], dx[5], dy[5]
	ubyte	cnt, j


	rand16_init(0xffff)
	led_mux_init()


	cnt = 1

	for j=0 while j<display_limit step j+=1 do

		x[j]  = 0
		y[j]  = 0
		dx[j] = 0
		dy[j] = 0
	done

	while 1 do

		led_mux_clear()

		cnt -= 1

		if cnt == 0 then

			cnt = ((rand16(2) & 3) + 1)

			for j=0 while j<display_limit step j+=1 do

				if dx[j] == 0  &&  dy[j] == 0 then

					while 1 do

						dx[j] = rand16(4) & 0x0F
						dy[j] = rand16(4) & 0x0F

						if dx[j] != 0  ||  dy[j] != 0 then
							// keep generating values for dx and dy
							// until we get a non-zero pair
							break
						endif
					done

					if (dx[j] & 0x08) != 0 then
						// use bit 3 as sign bit
						// convert 0b_0000_1xxx
						// to      0b_1111_1xxx

						dx[j] = dx[j] | 0xF0
					endif

					if (dy[j] & 0x08) != 0 then
						// use bit 3 as sign bit
						// convert 0b_0000_1xxx
						// to      0b_1111_1xxx

						dy[j] = dy[j] | 0xF0
					endif

					x[j] = 4 << 4
					y[j] = 4 << 4
				endif
			done
		endif

		for j=0 while j<display_limit step j+=1 do

			if dx[j] != 0  ||  dy[j] != 0 then

				x[j] = x[j] + dx[j]
				y[j] = y[j] + dy[j]

				if (x[j] < 0  ||  x[j] > (7 << 4))  ||  (y[j] < 0  ||  y[j] > (7 << 4)) then

					dx[j] = 0
					dy[j] = 0
				endif
			endif

			if dx[j] != 0  ||  dy[j] != 0 then

				led_mux_on(x[j] >> 4, y[j] >> 4)
			endif
		done

		// about 0.3 second
		task_wait 60
	done

endproc


//----------------------------------------------------------------------
//----------------------------------------------------------------------
proc intserv()

	led_mux_service()

endproc

