//----------------------------------------------------------------------
//----------------------------------------------------------------------

include "MCU-CONFIG/hwreg-p16f876.h"

pragma cpu_fosc 4000000

pragma cpu_config CFG_CP_OFF
pragma cpu_config CFG_WRT_ENABLE_ON
pragma cpu_config CFG_DEBUG_OFF
pragma cpu_config CFG_CPD_OFF
pragma cpu_config CFG_LVP_OFF
pragma cpu_config CFG_BODEN_OFF
pragma cpu_config CFG_PWRTE_ON
pragma cpu_config CFG_WDT_OFF
pragma cpu_config CFG_XT_OSC

pragma cpu_heartbeat 200

pragma build_config BLD_OPT_PORTA_DIGITAL_IO

include "LIB/led_mux_lib.bas"

const display_limit = 5

//----------------------------------------------------------------------
//----------------------------------------------------------------------
proc main()

	int	x[5], y[5], dx[5], dy[5]
	ubyte	cnt, j, loss


	led_mux_init()

	// fixed point 4 bits integer and 4 bits fraction
	// 0b_0000_0100 is equvalent to .25

	dx[0] = 0b_0000_0100
	dy[0] = 0b_0000_0100

	x[0]  = 0 << 4
	y[0]  = 3 << 4

	for j=1 while j<display_limit step j+=1 do

		dx[j] = dx[j-1]
		dy[j] = dy[j-1]

		x[j]  = x[j-1] + dx[j]
		y[j]  = y[j-1] + dy[j]

		while (x[j] & 0xF0) == (x[j-1] & 0xF0)   &&  (y[j] & 0xF0) == (y[j-1] & 0xF0) do

			x[j] = x[j] + dx[j]
			y[j] = y[j] + dy[j]
		done
	done

	while 1 do

		led_mux_clear()

		for j=0 while j<display_limit step j+=1 do

			x[j] = x[j] + dx[j]
			y[j] = y[j] + dy[j]

			if x[j] < 0   ||  x[j] >= (8 << 4) then

				// reverse direction
				dx[j] = -dx[j]

				x[j] = x[j] + dx[j]
			endif

			if y[j] < 0   ||  y[j] >= (8 << 4) then

				// reverse direction
				dy[j] = -dy[j]

				y[j] = y[j] + dy[j]
			endif

			led_mux_on(x[j] >> 4, y[j] >> 4)
		done

		task_wait 15
	done

endproc


//----------------------------------------------------------------------
//----------------------------------------------------------------------
proc intserv()

	led_mux_service()

endproc

