//----------------------------------------------------------------------
//----------------------------------------------------------------------

include "MCU-CONFIG/hwreg-p16f876.h"

pragma cpu_fosc 4000000

pragma cpu_config CFG_CP_OFF
pragma cpu_config CFG_WRT_ENABLE_ON
pragma cpu_config CFG_DEBUG_OFF
pragma cpu_config CFG_CPD_OFF
pragma cpu_config CFG_LVP_OFF
pragma cpu_config CFG_BODEN_OFF
pragma cpu_config CFG_PWRTE_ON
pragma cpu_config CFG_WDT_OFF
pragma cpu_config CFG_XT_OSC

pragma cpu_heartbeat 4000

pragma build_config BLD_OPT_PORTA_DIGITAL_IO

include "LIB/str_lib.bas"
include "LIB/str_byte_lib.bas"
include "LIB/str_int_lib.bas"
include "LIB/lcd_lib.bas"

include "LIB/rotary_encoder_lib.bas"



// NOTE: the use of the user defined character 7
// this is because the LCD uses the yen symbol in
// place of where the ASCII backslash would normally
// be

const char spin = "|/-", 7

//	*....
//	.*...
//	.*...
//	..*..
//	...*.
//	...*.
//	....*
//	.....

const ubyte backslash_glyph = 0x10, 0x08, 0x08, 0x04, 0x02, 0x02, 0x01, 0x00

//----------------------------------------------------------------------
//----------------------------------------------------------------------
proc main()

	char	buff[10]

	ubyte	last_val

	ubyte	acc, loop_cnt


	rotary_encoder_init(1, 2)

	LCD_init()

	last_val = 128

	LCD_define_glyph(7, &backslash_glyph)

	LCD_cursor_off()

	loop_cnt = 0

	while 1 do

		if rotary_encoder_count != last_val then

			last_val = rotary_encoder_count

			int_to_str(&buff, rotary_encoder_count)

			strcat(&buff, "    ")

			LCD_set_pos(0, 0)

			LCD_write_str(&buff)
		endif


		LCD_set_pos(0, 1)

		acc = (loop_cnt >> 7) & 0x03
		LCD_write_char(spin[acc])

		acc = (loop_cnt >> 6) & 0x03
		LCD_write_char(spin[acc])

		acc = (loop_cnt >> 5) & 0x03
		LCD_write_char(spin[acc])

		loop_cnt += 1

		task_wait 1
	done

endproc


//----------------------------------------------------------------------
//----------------------------------------------------------------------
proc intserv()

	rotary_encoder_service()
endproc
