//----------------------------------------------------------------------
//----------------------------------------------------------------------

include "MCU-CONFIG/hwreg-p16f628.h"

pragma cpu_fosc 4000000

pragma cpu_config CFG_INTRC_OSC_NOCLKOUT
pragma cpu_config CFG_WDT_OFF
pragma cpu_config CFG_PWRTE_ON
pragma cpu_config CFG_MCLRE_OFF
pragma cpu_config CFG_BODEN_ON
pragma cpu_config CFG_LVP_OFF
pragma cpu_config CFG_CP_OFF
pragma cpu_config CFG_DATA_CP_OFF

pragma cpu_heartbeat 20

//----------------------------------------------------------------------
//----------------------------------------------------------------------
pragma build_config BLD_OPT_PORTA_DIGITAL_IO

proc task_1()

	while 1 do

		// 1.1 second
		task_wait 11 * 2

		PORTB = PORTB ^ 0x02
	done

endproc


proc task_2()

	while 1 do

		// 1.3 second
		task_wait 13 * 2

		PORTB = PORTB ^ 0x04
	done

endproc


proc task_3()

	while 1 do

		// 1.7 second
		task_wait 17 * 2

		PORTB = PORTB ^ 0x08
	done

endproc


proc main()

	PORTB = 0
	TRISB |= 0xf0

	task_start &task_1
	task_start &task_2
	task_start &task_3

	while 1 do

		// 0.7 second
		task_wait 7 * 2

		PORTB = PORTB ^ 0x01
	done

endproc


proc intserv()

endproc
