//----------------------------------------------------------------------
//----------------------------------------------------------------------

include "MCU-CONFIG/hwreg-p16f628.h"

pragma cpu_fosc 4000000

pragma cpu_config CFG_INTRC_OSC_NOCLKOUT
pragma cpu_config CFG_WDT_OFF
pragma cpu_config CFG_PWRTE_ON
pragma cpu_config CFG_MCLRE_OFF
pragma cpu_config CFG_BODEN_ON
pragma cpu_config CFG_LVP_OFF
pragma cpu_config CFG_CP_OFF
pragma cpu_config CFG_DATA_CP_OFF

pragma cpu_heartbeat 20

pragma build_config BLD_OPT_PORTA_DIGITAL_IO

//----------------------------------------------------------------------
//----------------------------------------------------------------------
proc float factorial(char n)

	float	acc

	acc = 1

	while n > 0 do

		acc = acc * n
		n = n - 1
	done

	return acc

endproc


//----------------------------------------------------------------------
//----------------------------------------------------------------------
proc float power(float val, char n)

	float	acc

	acc = 1

	while n > 0 do

		acc = acc * val
		n = n - 1
	done

	return acc

endproc


//----------------------------------------------------------------------
//----------------------------------------------------------------------
proc float sin(float x)

	float	acc xstep
	char	n


	acc = 0

	for n=0 while n<5 step n=n+1 do

		xstep = power(-1, n) * power(x, n * 2 + 1) / factorial(n * 2 + 1)

		if (xstep > 0  &&   xstep < 0.00000001)  ||  (xstep < 0  &&  -xstep < 0.00000001) then
			break
		endif

		acc = acc + xstep
	done

	return acc

endproc


//----------------------------------------------------------------------
//----------------------------------------------------------------------
proc float cos(float x)

	float	acc xstep
	char	n


	acc = 0

	for n=0 while n<5 step n=n+1 do

		xstep = power(-1, n) * power(x, n * 2) / factorial(n * 2)

		if (xstep > 0  &&  xstep < 0.00000001)  ||  (xstep < 0  &&  -xstep < 0.00000001) then
			break
		endif

		acc = acc + xstep
	done

	return acc

endproc


//----------------------------------------------------------------------
//----------------------------------------------------------------------
proc float tan(float x)

	return sin(x) / cos(x)

endproc


//----------------------------------------------------------------------
//----------------------------------------------------------------------
proc main()

	float	x
	float	res


	x = 0.9

	res = sin(x)
	res = cos(x)
	res = tan(x)

endproc


//----------------------------------------------------------------------
//----------------------------------------------------------------------
proc intserv()
endproc
